Package org.apache.maven.scm.provider.svn.svnexe.command.remoteinfo

## Class SvnRemoteInfoCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.remoteinfo.AbstractRemoteInfoCommand
    - - org.apache.maven.scm.provider.svn.svnexe.command.remoteinfo.SvnRemoteInfoCommand

All Implemented Interfaces:
  `Command`, `SvnCommand`

    public class SvnRemoteInfoCommand
    extends AbstractRemoteInfoCommand
    implements SvnCommand

Since:
  1.6
Author:
  Olivier Lamy

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
`SvnRemoteInfoCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RemoteInfoScmResult` `executeRemoteInfoCommand​(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`boolean` `remoteUrlExist​(ScmProviderRepository repository, CommandParameters parameters)`

### Methods inherited from class org.apache.maven.scm.command.remoteinfo.AbstractRemoteInfoCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### SvnRemoteInfoCommand

    public SvnRemoteInfoCommand()

### Method Detail

#### executeRemoteInfoCommand

    public RemoteInfoScmResult executeRemoteInfoCommand​(ScmProviderRepository repository,
                                                        ScmFileSet fileSet,
                                                        CommandParameters parameters)
                                                 throws ScmException

Specified by:
  `executeRemoteInfoCommand` in class `AbstractRemoteInfoCommand`
Throws:
  `ScmException`

#### remoteUrlExist

    public boolean remoteUrlExist​(ScmProviderRepository repository,
                                  CommandParameters parameters)
                           throws ScmException

Throws:
  `ScmException`